Payout wallets
Add Wallet
Validates a new wallet address per chain, creates a PENDING wallet and auto-runs a test transaction if configured.
POSThttps://api.toku.com/hris/add-wallet
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/add-wallet' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"walletAddress": "string",
"network": "string",
"twoFactorCode": "string",
"orgNetworkID": "string",
"walletTypeCustomID": "string",
"nickName": "string",
"tokenTypeID": "string",
"privyDetails": {
"privyDID": "string",
"email": "string"
},
"privyAccessToken": "string",
"crossmintDetails": {
"crossmintUserId": "string",
"email": "string"
},
"polygonDetails": {
"email": "user@example.com",
"signature": "string",
"issuedAt": "string"
},
"connectedViaMesh": true,
"destinationTag": 0
}'200 response
{
"walletID": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
namestringrequiredwalletAddressstringrequiredNOTE(ck): a .transform() rule is not mirrored here; TGA still enforces it
networkstringrequiredtwoFactorCodestringorgNetworkIDstringwalletTypeCustomIDstringnickNamestringtokenTypeIDstringprivyDetailsobjectShow child attributes
privyDIDstringrequiredemailstringrequiredprivyAccessTokenstringAllowed: at least 1 characters
crossmintDetailsobjectShow child attributes
crossmintUserIdstringrequiredemailstringrequiredpolygonDetailsobjectShow child attributes
emailstring<email>requiredsignaturestringrequiredAllowed: at least 1 characters
issuedAtstringrequiredAllowed: at least 1 characters
connectedViaMeshbooleandestinationTagintegerResponse
200Successful response
walletIDstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits